karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Sicker <boa...@gmail.com>
Subject Re: KARAF 4.1.5 & pax-logging-service
Date Wed, 14 Mar 2018 16:32:22 GMT
I'm more familiar with log4j myself. However, OSGi issues with Spring seem
to be a common issue thanks to Spring snubbing OSGi for a while. Chances
are that this has improved a bit in Spring 5 thanks to Java 9 modules
forcing them to embrace modularity again, though that doesn't help in this
scenario, sorry.

On 13 March 2018 at 23:23, munishgupta.asr <munishgupta.asr@gmail.com>
wrote:

> Hi Matt,
>
> Thanks for guiding on Same like pax-logging-service issue. we are in good
> shape for that.
>
> same like that, earlier org.springframework libraries were also downloaded
> and started when we were running the package. we were defining these as
> bootfeatures during prepare package.
> <groupId>org.apache.karaf.tooling</groupId>
>     <artifactId>karaf-maven-plugin</artifactId>
>     <version>${apache-karaf.maven.plugin.version}</version>
>     <extensions>true</extensions>
>     <configuration>
>      <ignoreDependencyFlag>false</ignoreDependencyFlag>
>      <bootFeatures>
>       <feature>framework</feature>
>       <feature>standard</feature>
>       <feature>eventadmin</feature>
>       <feature>jasypt-encryption</feature>
>       <feature>config</feature>
>       <feature>jpa/1.0.4</feature>
>       <feature>openjpa</feature>
>       <feature>transaction</feature>
>       <feature>spring</feature>
>       <feature>spring-dm</feature>
>       <feature>spring-dm-web</feature>
>       <feature>scr</feature>
>       <feature>http</feature>
>       <feature>war</feature>
>      </bootFeatures>
>
> but after upgrading to 4.2.0, These spring libraries are not getting
> downloaded and started. When i start my project, it fails with the OSGI
> wiring issues for spring dependency like org.springframework.web.servlet
>
> then I am trying to add it as OSGI bundle in features.xml by adding like
> bundle
> start-level="85">wrap:mvn:org.springframework/spring-webmvc/
> 4.3.7.RELEASE</bundle>
>
> but it still fails. Can you give any pointers here?
>
>
>
>
>
> --
> Sent from: http://karaf.922171.n3.nabble.com/Karaf-Dev-f930721.html
>



-- 
Matt Sicker <boards@gmail.com>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message